New to scripting in grasshopper - AddPoint

Hi all,

I’m new to grashopper scripting (Python) and so, I’m having some difficulties. I basically need a script to make some calculations based on user input. Then, compute the results and use them to define point coordinates. However, it seems the outputs of my script are Rhino identifiers, rather than the point coordinates themselves.
image

My script:

import rhinoscriptsyntax as rs

B1 = B / 2 * 1000
m=2
s = 2.08 * LBP + 438
C1b = 4 * s
B2 = B / 2 - m * C1b / 1000
B2 = B2 * 1000
H = (LBP - 40) / 0.57 + 40 * B + 3500 * T / LBP
H1 = 0.2 * D * 1000
H2 = 0.5 * D * 1000
H3 = 1.5 * 1000
hh = 1.2 * 1000
bf = 200

xcoor = 0
KP1 = rs.AddPoint((xcoor, 0, 0))
KP2 = rs.AddPoint((xcoor, C1b, 0))
KP3 = rs.AddPoint((xcoor, C1b, 0))
KP4 = rs.AddPoint((xcoor, 2 * C1b, 0))
KP5 = rs.AddPoint((xcoor, B1, 0))

Try using rs.coercepoint()

KP1 = rs.coercepoint(rs.AddPoint((xcoor, 0, 0)))

Hi Thomas,

rhinoscriptsyntax seems to have no attribute called coercepoint…

image

Sorry. its ‘coerce3dpoint()’

Thanks a lot, it worked!